// E3D fanfanfan duct
// ::: Configuration :::
// CC BY 3.0 Tom Øyvind Hogstad <tom.oyvind.hogstad@gmail.com> Mars 2014


ew			= 0.4; 		
wall			= 2;	
_floor      =  2.1;      	

F   = 0.01;
F2  = 2*F;
xF  = [-F,0,0];
yF  = [0,-F,0];
zF  = [0,0,-F];



// fans
// 40mm main fan
fan40_hole_dx = 32;
fan40_hole_d = 38;
fan40_hole_r = fan40_hole_d/2;

// 30 or 40mm fans for cooling print
fan30 = true; // False for no extra fans
fan30_hole_edge = 4;
fan30_size = 30; // You could change this to 40 for 40mm fan
fan30_angle = acos(15/fan30_size);
echo(fan30_angle);

// e3d
heat_sink_large_d = 25;
heat_sink_large_r = heat_sink_large_d/2;
heat_sink_large_h = 31.8;

heat_sink_small_d = 16;
heat_sink_small_r = heat_sink_small_d/2;

screw_r = 1.4;

duct_addon_h = 6;


// Nuts and bolts

m2_head_r = 2;
m2_head_h = 2; 
m2_r      = 1.3;
m2_nut_r    = 5/2;
m2_nut_h    = 1.65;

m3_head_r = 3;
m3_head_h = 3; 
m3_r      = 1.5*1.3;
m3_nut_r    = 6.40/2;
m3_nut_h    = 2.40;
